@import url("https://fonts.googleapis.com/css?family=Fira+Sans:400,700&display=swap");

html {
    font-size: 16pt;
    line-height: 1.5;
    font-family: "Fira Sans", sans-serif;
    color: #cab6c1;
}

body {
    margin: 0;
    background-image: url("https://switchroot.org/logo.png");
    background-color: #300a24;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: bottom right;
}

*,
*:before,
*:after {
    box-sizing: border-box;
}

a {
    color: #edc7e5;
}

a:visited {
    color: #eddbed;
}

hr {
    border-color: #cab6c1;
}

#main-header {
    background-color: #3e0e2f;
    padding: 3rem 0 2rem 0;
}

#main-header h1 {
    margin: 0;
    line-height: 1;
    color: #eed3e2;
    text-align: center;
}

#main-header p {
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 1.5rem;
    width: 75%;
    color: #cab6c1;
    text-align: center;
}

main,
.links {
    max-width: 750px;
    margin: 0 auto;
}

.links {
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
}

.links a {
    display: block;
    padding: 0.75rem 1rem; /* font needs larger width than height */
    text-align: center;
    background: #300a24;
    border-radius: 0.25rem;
    text-decoration: none;
    filter: drop-shadow(4px 6px 10px #00000044) brightness(100%);
    -webkit-filter: drop-shadow(4px 6px 10px #00000044) brightness(100%);
}

.links a:hover {
    filter: drop-shadow(4px 6px 10px #00000044) brightness(80%);
    -webkit-filter: drop-shadow(4px 6px 10px #00000044) brightness(80%);
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

.links a:not(:last-child) {
    margin-right: 2rem;
}

.links a em {
    font-style: normal;
    font-weight: 700;
}

@media (max-width: 768px) {
    #main-header {
        padding: 1rem 1.5rem 0.75rem;
        top: 0;
        left: 0;
        width: 100%;
    }

    #main-header h1 {
        font-size: 1.25rem;
        text-align: left;
        margin: 0;
        margin-bottom: 0.25rem;
    }

    #main-header p {
        font-size: 0.75rem;
        text-align: left;
        margin: 0;
        width: 75%;
    }

    #main-header .links {
        display: none;
    }

    body {
        font-size: 0.8rem;
    }

    main {
        margin: 0;
        padding: 1rem 1.5rem 0.75rem;
        width: 100%;
    }
}

@media (min-width: 992px) {
    /* fix the font sizes of the dynamically sized elements to prevent them from
       growing too big */

    #main-header h1 {
        font-size: 4rem;
    }

    #main-header p {
        width: 750px;
    }
}
